Get the most out of your Centmin Mod LEMP stack
Become a Member

CentOS 8.x CentOS 8 Now End Of Life (EOL)

Discussion in 'CentOS, Redhat & Oracle Linux News' started by buik, Dec 7, 2021.

  1. Kuro

    Kuro Member

    95
    12
    8
    Feb 8, 2018
    Ratings:
    +23
    Local Time:
    6:56 AM
    1.15.10
    10.3
    [​IMG]


    Waiting for Centminmod for Ama or Rocky version :cry:
    New generation chips didnt support Cent7 :(
     
  2. eva2000

    eva2000 Administrator Staff Member

    52,010
    11,978
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +18,475
    Local Time:
    9:56 AM
    Nginx 1.25.x
    MariaDB 10.x
    Not sure if I sent you an private beta testing invite for Centmin Mod 130.00beta01 testing for Almalinux 8 and Rocky Linux 8?

    Right now Centmin Mod still only supports CentOS 7 64bit EL7 operating system installations. CentOS 7 is still supported until 2024. I am actively working on compatibility with EL8/EL9 systems for AlmaLinux 8/9 and Rocky Linux 8/9 which are OSes replacing early EOL'd CentOS 8. EL8 OSes are supported until 2029, and EL9 OSes are supported until 2032 by Redhat Enterprise Linux upstream.

    Details for work logs for EL8 and EL9 compatibility work are at:
    Some Centmin Mod users who are very familiar with Centmin Mod and/or EL8/EL9 non-Centmin Mod OS setups have already been invited into a limited private EL8 Centmin Mod beta testing group to provide beta testing feedback and suggestions in a private forum right now. Afterwards, I'd open the EL8 beta testing to the public.

    Only EL8 beta testing is underway as EL9 testing is still a long way away from release.
     
  3. minodd

    minodd Member

    31
    4
    8
    Nov 29, 2018
    Ratings:
    +12
    Local Time:
    7:56 AM
    Nginx 1.15.6
    MariaDB 10
    I really wish the support of EL8 could come out earlier. Some of my VM providers are not supporting CentOS7 any more. So I have to change them to Debian with WordOps for now.
     
  4. minodd

    minodd Member

    31
    4
    8
    Nov 29, 2018
    Ratings:
    +12
    Local Time:
    7:56 AM
    Nginx 1.15.6
    MariaDB 10
    I really wish the support of EL8 could come out earlier. Some of my VM providers are not supporting CentOS7 any more. So I have to change them to Debian with WordOps for now.
     
  5. eva2000

    eva2000 Administrator Staff Member

    52,010
    11,978
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +18,475
    Local Time:
    9:56 AM
    Nginx 1.25.x
    MariaDB 10.x
    If you want to help test, do you want a private beta testing invite for Centmin Mod 130.00beta01 testing for Almalinux 8 and Rocky Linux 8?
     
  6. minodd

    minodd Member

    31
    4
    8
    Nov 29, 2018
    Ratings:
    +12
    Local Time:
    7:56 AM
    Nginx 1.15.6
    MariaDB 10
    Oh Yes, I definitely do! Would you please let me in?
     
  7. eva2000

    eva2000 Administrator Staff Member

    52,010
    11,978
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +18,475
    Local Time:
    9:56 AM
    Nginx 1.25.x
    MariaDB 10.x
    Just sent you a private message :)
     
  8. minodd

    minodd Member

    31
    4
    8
    Nov 29, 2018
    Ratings:
    +12
    Local Time:
    7:56 AM
    Nginx 1.15.6
    MariaDB 10
    Replied! Thank you very much!
     
  9. Kuro

    Kuro Member

    95
    12
    8
    Feb 8, 2018
    Ratings:
    +23
    Local Time:
    6:56 AM
    1.15.10
    10.3
    Not sure if I sent you an private beta testing invite for Centmin Mod 130.00beta01 testing for Almalinux 8 and Rocky Linux 8?
    Yes please!
     
  10. Tracy Perry

    Tracy Perry Active Member

    276
    115
    43
    Aug 24, 2014
    Texas
    Ratings:
    +205
    Local Time:
    6:56 PM
    1.21.6
    MariaDB 10.3.36
    So far, for me, AlmaLinux 8 and CentMinMod has been as stable as the CentOS 7 version I've been running prior.
     
  11. Qu Don

    Qu Don Member

    79
    7
    8
    Aug 21, 2017
    Brooklyn, New York
    Ratings:
    +22
    Local Time:
    7:56 PM
    Bummer! Centos 7 no longer showing up on Hetzner fresh installs.
     
  12. eva2000

    eva2000 Administrator Staff Member

    52,010
    11,978
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +18,475
    Local Time:
    9:56 AM
    Nginx 1.25.x
    MariaDB 10.x
    Oh indeed it seems!
     
  13. Tracy Perry

    Tracy Perry Active Member

    276
    115
    43
    Aug 24, 2014
    Texas
    Ratings:
    +205
    Local Time:
    6:56 PM
    1.21.6
    MariaDB 10.3.36
    Honestly... if you can get into the BETA for CentMin Mod, the extra little work to install AlmaLinux is WELL worth it. They may even have it on their regular install by now (haven't burned out a new VPS since I don't currently need it).
    Considering that there is only about a year left of official support of it, it's probably not that bad of an idea for them to start weaning folks away from it. cPanel (from my understanding) is currently AlmaLinux 8 friendly.
     
  14. duderuud

    duderuud Premium Member Premium Member

    202
    74
    28
    Dec 5, 2020
    The Netherlands
    Ratings:
    +153
    Local Time:
    1:56 AM
    1.25 x
    10.6
    I'm running the beta on my dedicated server for a few months now, works great. Yeah, I know it's a risk running beta software but I didn't want to run CentOS 7 on my new server and having to upgrade to Alma later on.

    So far I'm very happy with that decision!
     
  15. buik

    buik “The best traveler is one without a camera.”

    1,962
    513
    113
    Apr 29, 2016
    Flanders
    Ratings:
    +1,632
    Local Time:
    1:56 AM
    Yes indeed. It's getting harder and harder to get EL7 supporting servers.
    This is partly, why I am making a request to make Centminmod EL8 an open beta @eva2000 . Including listing on the website so that it can also attract external users who can provide feedback.

    But this is still relatively simple.
    At my work there are still plenty of mission critical servers running on Red Hat Enterprise Linux 6 Extended Life Cycle. Who move on to Red Hat Enterprise Linux 7 Extended Life Cycle.

    Fortunately, there are still plenty of certified EL7, new servers to be able to purchase. At a premium price, though. Despite server builders in turn, taking semi old parts for a bargain price, from their suppliers.

    The biggest problem these days is that software and software developers are far too quick to switch to new software releases. While there is often no reason to do so. Productivity is essential.

    Good example via a side street is Windows with its incredibly inconsistent gui. Totally unproductive and they keep changing it.

    But that, of course, is my personal opinion. Based on my own experience.
     
  16. eva2000

    eva2000 Administrator Staff Member

    52,010
    11,978
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +18,475
    Local Time:
    9:56 AM
    Nginx 1.25.x
    MariaDB 10.x
    That's the eventual plan just right now too busy with paid client work + other work to really handle Centmin Mod EL8 developments for general users besides the private beta EL8 test group. The private beta EL8 testers are still picking up bugs slowly - so keep testing :)

    The Centmin Mod 130.00beta01 private beta EL8 installers should work as well on Rocky Linux 8.x as AlmaLinux 8.x but I've read reports that some web hosts' out of the box Rocky Linux 8 or AlmaLinux 8.x OS images have differences from what's expected out of the box which can cause issues on some control panels (non-Centmin Mod) i.e. some web hosts aren't installing expected YUM RPM packages out of the box. So part of the Centmin Mod 130.00beta01 private beta EL8 install/testing is seeing how different web host's EL8 OS images fair as well.

    Glad to hear - remember to keep an eye and report bugs as you find them :)
     
  17. duderuud

    duderuud Premium Member Premium Member

    202
    74
    28
    Dec 5, 2020
    The Netherlands
    Ratings:
    +153
    Local Time:
    1:56 AM
    1.25 x
    10.6
    I will
     
  18. yunos

    yunos Member

    129
    3
    18
    Aug 8, 2015
    Ratings:
    +16
    Local Time:
    1:56 AM
    1.8.0
    can you send me beta of centmin that works for alma 8 as well?
    got a new vps and they dont support centos 7.
     
  19. buik

    buik “The best traveler is one without a camera.”

    1,962
    513
    113
    Apr 29, 2016
    Flanders
    Ratings:
    +1,632
    Local Time:
    1:56 AM
    Hetzner Cloud now also supports AlmaLinux.
    Fortunately, it is no longer necessary to run the migration script to migrate Enterprise Linux (EL).
    It is running out of the box.
     
  20. brainlet2000

    brainlet2000 Member

    42
    4
    8
    Jan 21, 2020
    Ratings:
    +7
    Local Time:
    1:56 AM
    1.17.7
    10.3.21
    Can I get an invite to the Centminmod beta for Rocky Linux 9? @eva2000 Thanks, you probably remember me.